Loading...
Searching...
No Matches
irr::scene::quake3::SVariable Struct Reference

`#include <IQ3Shader.h>`

## Public Member Functions

| SVariable (const c8 *n, const c8 *c=0)
virtual | ~SVariable ()
void | clear ()
s32 | isValid () const
bool | operator< (const SVariable &other) const
bool | operator== (const SVariable &other) const

## Public Attributes

core::stringc | content
core::stringc | name

## Detailed Description

Definition at line 542 of file IQ3Shader.h.

## Constructor & Destructor Documentation

## SVariable()

irr::scene::quake3::SVariable::SVariable | ( | const c8 * | n,
|  | const c8 * | c = 0 )

inline

Definition at line 547 of file IQ3Shader.h.

References content, and name.

Referenced by operator<(), and operator==().

## ~SVariable()

virtual irr::scene::quake3::SVariable::~SVariable | ( |  | ) |

inline virtual

Definition at line 548 of file IQ3Shader.h.

## Member Function Documentation

## clear()

void irr::scene::quake3::SVariable::clear | ( |  | ) |

inline

Definition at line 550 of file IQ3Shader.h.

References content, and name.

## isValid()

s32 irr::scene::quake3::SVariable::isValid | ( |  | ) | const

inline

Definition at line 556 of file IQ3Shader.h.

References name.

## operator<()

bool irr::scene::quake3::SVariable::operator< | ( | const SVariable & | other | ) | const

inline

Definition at line 566 of file IQ3Shader.h.

References SVariable(), irr::core::string< T, TAlloc >::c_str(), and name.

## operator==()

bool irr::scene::quake3::SVariable::operator== | ( | const SVariable & | other | ) | const

inline

Definition at line 561 of file IQ3Shader.h.

References SVariable(), irr::core::string< T, TAlloc >::c_str(), and name.

## Member Data Documentation

## content

core::stringc irr::scene::quake3::SVariable::content

Definition at line 545 of file IQ3Shader.h.

Referenced by SVariable(), and clear().

## name

core::stringc irr::scene::quake3::SVariable::name

Definition at line 544 of file IQ3Shader.h.

Referenced by SVariable(), clear(), isValid(), operator<(), and operator==().

The documentation for this struct was generated from the following file:

- IQ3Shader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0